#Region "Copyright Syncfusion Inc. 2001 - 2012"
'
'  Copyright Syncfusion Inc. 2001 - 2012. All rights reserved.
'
'  Use of this code is subject to the terms of our license.
'  A copy of the current license can be obtained at any time by e-mailing
'  licensing@syncfusion.com. Any infringement will be prosecuted under
'  applicable laws. 
'
#End Region
Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Text
Imports System.Windows.Forms
Imports Syncfusion.DocIO
Imports Syncfusion.DocIO.DLS
Imports Syncfusion.DocToPDFConverter
Imports System.IO
Imports Syncfusion.Pdf

Namespace Doc_To_RTF
	Partial Public Class Form1
		Inherits Form
		Public Sub New()
            InitializeComponent()
           End Sub

        Private Sub button3_Click(ByVal sender As Object, ByVal e As EventArgs) Handles button3.Click
            openFileDialog1.InitialDirectory = Application.StartupPath & "..\..\Data\DoctoPDF.docx"
            openFileDialog1.FileName = ""
            Dim result As DialogResult = openFileDialog1.ShowDialog()

            If result = Windows.Forms.DialogResult.OK Then
                Me.textBox1.Text = openFileDialog1.SafeFileName
                Me.textBox1.Tag = openFileDialog1.FileName

            End If
        End Sub


        Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
            Me.textBox1.Text = "DocToPDF.docx"
            Me.textBox1.Tag = Application.StartupPath & "..\..\Data\DoctoPDF.docx"
        End Sub

        Private Sub btnconvert_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnconvert.Click
            If Me.textBox1.Text <> String.Empty Then

                'Get file stream data from the Word document
                Dim fileStream As FileStream = New FileStream("..\..\Data\DoctoPDF.docx", FileMode.Open)
                Dim converter As DocToPDFConverter = New DocToPDFConverter()
                'Convert Word document stream data into PDF document
                Dim pdfDocument As PdfDocument = converter.ConvertToPDF(fileStream)
                'Close the fileStream
                fileStream.Close()
                Dim memoryStream As MemoryStream = New MemoryStream()
                'Save the pdf document into stream data
                pdfDocument.Save(memoryStream)

            End If
        End Sub
    End Class
End Namespace